%global commit b3f4e3e7c3ccff70cad3c15fdbd93d9d5f81014f
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		gimp-elsamuko
Version:	26
Release:	6%{?dist}
Summary:	Script collection for the GIMP
License:	GPLv3+
URL:		https://sites.google.com/site/elsamuko/gimp
Source0:	https://github.com/elsamuko/gimp-elsamuko/archive/%{commit}/%{name}-master.zip
Requires:	gimp
BuildArch:	noarch

%description
Collection of scripts for the GIMP with various effects as; technicolor, 
round corners, Obama 'Hope', vintage look, sharpening, etc.

%prep
%setup -q -n %{name}-master

%build
## Nothing to build.

%install
install -d %{buildroot}%{_datadir}/gimp/2.0/scripts/
install -m 0644 -p scripts/*.scm -t %{buildroot}%{_datadir}/gimp/2.0/scripts/
%if 0%{?fedora} >= 21  
# Add AppStream metadata
install -Dm 0644 -p %{name}.metainfo.xml \
	%{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml
%endif

%files
## Remember to add COPYING to docs, when it gets included upstream.
%doc README.md LICENSE
%{_datadir}/gimp/2.0/scripts/*.scm
%if 0%{?fedora} >= 21  
#AppStream metadata
%{_datadir}/appdata/%{name}.metainfo.xml
%endif

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 26-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 26-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 26-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 26-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 15 2016 Luya Tshimbalanga <luya@fedoraproject.org> - 26-1
- Upstream update fixing metainfo.xml

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 24-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb 02 2015 Luya Tshimbalanga <luy@fedoraproject.org> - 24-6
- Lastest upstream update include metainfo.xml
- Dropped downstream metainfo.xml
- Made spec universal

* Sun Feb 01 2015 Luya Tshimbalanga <luy@fedoraproject.org> - 24-4
- Add metainfo files for software center

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 03 2014 Palle Ravn <ravnzon@gmail.com> - 24-2
- Minor corrections

* Thu Dec 19 2013 Palle Ravn <ravnzon@gmail.com> - 24-1
- Initial package
